Subject: Re: bug#70541: track-changes-mode logs warnings (with input method, in Eglot buffer)

From: João Távora <[email-masked]>
Date: Wed, 24 Apr 2024 21:53:08 +0100

On Wed, Apr 24, 2024, 20:24 Eli Zaretskii <[email-masked]> wrote:

> .
>
> It isn't suddenly, it's because you switched Eglot to the new
> track-changes method, right?  It worked fine before that, with the
> same Quail, right?  Or am I missing something?
>

I haven't much to add to this discussion where I'm being Cc'ed except that
I generally agree with Stefan's stance and fix and that I am fairly sure
this has always a problem before Stefan's track-changes.el framework, only
that we did not know about it because the raw usage eglot.el made of b-c-f
and a-c-f didn't sanity-check anything. You just got subtly wrong server
behaviour because it was being misinformed, and ended up reconnecting to
fix these things.